##Global Reset
say Reset All Rooms

#Bathroom
setblock -18 -58 17 candle ["candles" = 1, "lit" = 1]
setblock -18 -58 22 soul_lantern
setblock -19 -59 14 air
setblock -18 -59 20 cauldron
fill -17 -58 18 -17 -56 21 stained_glass_pane ["color" = "gray"]
fill -20 -59 16 -20 -57 16 air

#Boys Room
clone 7 -52 26 16 -47 23 7 -60 23
clone 9 -53 29 11 -49 27 9 -58 27
fill 11 -54 27 9 -54 29 stripped_dark_oak_log ["pillar_axis" = "x"]
setblock 15 -58 31 large_amethyst_bud
setblock 14 -58 24 candle ["candles" = 2, "lit" = 1]
execute as @e[type=loadisk:chair, x=13, y=-59, z=30, r=1] at @s run tp @s ~ ~ ~ facing ~1 ~ ~
execute as @e[type=loadisk:chair, x=13, y=-59, z=30, r=1] at @s run tp @s ~ ~ ~ facing ~1 ~ ~
execute as @e[type=loadisk:chair, x=13, y=-59, z=30, r=1] at @s run tp @s ~ ~ ~ facing ~1 ~ ~

#Dining Room
tp @e[x=-18, y=-58, z=31,r=1] -20 -59 32 facing -13 -58 32
tp @e[x=-18, y=-58, z=31,r=1] -20 -59 32 facing -13 -58 32
tp @e[x=-18, y=-58, z=31,r=1] -20 -59 32 facing -13 -58 32
clone -14 -49 29 -14 -49 29 -14 -57 29
clone -14 -49 31 -14 -48 32 -14 -57 31 
tp @e[type=loadisk:chair,x=-18, y=-58, z=34, r=1] -18 -59 34
tp @e[type=loadisk:chair,x=-18, y=-58, z=34, r=1] -18 -59 34
tp @e[type=loadisk:chair,x=-18, y=-58, z=34, r=1] -18 -59 34
event entity @e[type=loadisk:chair,x=-18, y=-59, z=34, r=2] loadisk:kill_float_event
setblock -14 -58 33 bell ["attachment" = "side", "direction" = 1, "toggle_bit" = false]

#Garage
fill -31 -59 22 -30 -57 21 scaffolding replace barrel
setblock -33 -55 25 soul_lantern ["hanging"=true]
event entity @e[type=loadisk:ram] loadisk:kill_car_alarm_event
clone -39 -49 23 -32 -52 27 -39 -59 23

#Guest Room
setblock -27 -56 12 soul_lantern ["hanging" = 1]
fill -23 -57 10 -23 -58 10 mangrove_roots replace sculk
fill -23 -58 11 -23 -57 11 glow_lichen ["multi_face_direction_bits" = 16] replace sculk_vein
clone -30 -53 10 -27 -53 10 -30 -56 10
event entity @e[type=loadisk:radio] loadisk:off_event
event entity @e[type=loadisk:lamp,x=-27, y=-59, z=10, r=1] loadisk:default_event

#Hallway
function cali/impulse/anomaly/reset/hallway_candle_black

tag @e[type=loadisk:statue,tag=face_camera] remove face_camera
execute as @e[type=loadisk:statue,x=5, y=-59, z=34, dx=11, dy=3, dz=0] at @s run tp @s ~ ~ ~ facing ~ ~ ~1
execute as @e[type=loadisk:statue,x=5, y=-59, z=39, dx=11, dy=3, dz=0] at @s run tp @s ~ ~ ~ facing ~ ~ ~-1
event entity @e[type=loadisk:statue] loadisk:default_event


#Kitchen
clone 0 -53 40 0 -51 41 0 -59 40
setblock -3 -59 27 smoker ["minecraft:cardinal_direction" = "south"]
setblock -3 -60 27 netherite_block
fill -5 -59 45 -6 -59 45 cauldron
event entity @e[x=-12, y=-59, z=40] loadisk:close_event
clone -9 -51 41 -1 -51 41 -9 -59 41

#Living Room
event entity @e[type=loadisk:lamp,x=-26, y=-59, z=48, r=1] loadisk:default_event
fill -26 -59 40 -26 -59 40 soul_campfire
fill -29 -59 48 -26 -59 43 minecraft:gray_carpet replace carpet
event entity @e[type=loadisk:pillow,x=-26, y=-59, z=45,r=2] loadisk:kill_float_event
event entity @e[type=loadisk:tv] loadisk:off_event

#Lobby
fill -23 -59 38 -36 -55 17 mangrove_leaves replace mangrove_roots
execute as @s positioned -36 -59 17 run function cali/structures/vines_reset
function cali/impulse/anomaly/reset/lobby_candle_black
fill -23 -60 38 -38 -60 17 minecraft:red_wool replace minecraft:black_wool
fill -23 -59 38 -38 -59 17 minecraft:red_carpet replace minecraft:black_carpet
fill -38 -58 39 -28 -55 30 minecraft:cyan_terracotta replace minecraft:purple_terracotta
fill -23 -55 32 -28 -58 16 minecraft:cyan_terracotta replace minecraft:purple_terracotta

#Master Bedroom
fill 25 -59 39 28 -59 34 candle ["candles" = 1, "lit" = 1] replace black_candle 	["candles" = 1, "lit" = 1]
clone 25 -51 39 28 -51 34 25 -57 34
event entity @e[type=loadisk:pillow, x=28, y=-58, z=37,r=1] loadisk:lean_event
setblock 29 -55 32 bell ["attachment" = "standing", "direction" = 2, "toggle_bit" = false]
clone 25 -53 39 28 -53 34 25 -59 34 masked

#Storage Room
function cali/impulse/anomaly/reset/storage_box_cleaned
event entity @e[type=loadisk:caulk] loadisk:default_event
function cali/impulse/anomaly/reset/storage_box_return

#Nursery
clone 8 -53 45 6 -51 43 6 -58 43
tp @e[type=armor_stand, x=12, y=-59, z=43,r=1] 11 -59 49 facing 11 -58 47
tp @e[type=armor_stand, x=12, y=-59, z=43,r=1] 11 -59 49 facing 11 -58 47
event entity @e[type=loadisk:maraca,x=12, y=-59, z=47] loadisk:default_event
event entity @e[type=loadisk:rest_chair,x=7, y=-59, z=45,r=1.2] loadisk:default_event
fill 11 -60 44 10 -60 47 minecraft:purple_wool



event entity @e[tag=extra_obj] loadisk:despawn_event