scoreboard players add @a v.pulse 0
scoreboard players add @a v.cooldown 0
scoreboard players remove @a[scores={v.cooldown=1..},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] v.cooldown 1
scoreboard players add @a[scores={v.cooldown=..9},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] v.cooldown 1
scoreboard players add @a camera 0

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:x, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:x, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:x, location=slot.weapon.mainhand}] at @s run scoreboard players set @s v.ui 1

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:check, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:check, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:check, location=slot.weapon.mainhand}] at @s run event entity @a[tag=active] loadisk:overlay_exit


execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=2},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] run playsound loadisk.switch @a
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] run scoreboard players add @a[scores={camera=..6}] camera 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] run scoreboard players set @a[scores={camera=7..}] camera 1

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=2},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] run playsound loadisk.switch @a
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] run scoreboard players remove @a[scores={camera=0..}] camera 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] run scoreboard players set @a[scores={camera=..0}] camera 6

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:exit, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:exit, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:exit, location=slot.weapon.mainhand}] at @s run function cali/impulse/system/end_confirm

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1,v.cooldown=10},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run say §lSelect Report
execute as @a[scores={v.right=1,t.right=0,v.pulse=1,v.cooldown=10},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run scoreboard players set @s v.ui 2

##Report Items

execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:object_manipulated, location=slot.weapon.mainhand}] at @s run say Reporting Manipulated Object
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:object_manipulated, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/object_manipulated

execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:object_extra, location=slot.weapon.mainhand}] at @s run say Reporting Extra Object
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:object_extra, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/object_extra

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run say Ghost Reported
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/ghost

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1,v.cooldown=0},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/intruder

execute as @a[scores={v.right=0,t.right=0},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run say Lighting Anomaly Reported
execute as @a[scores={v.right=1,t.right=0,v.pulse=1},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/ligthing_anomaly

execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:camera_error, location=slot.weapon.mainhand}] at @s run say Camera Error Reported
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:camera_error, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/camera_error

execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:spiritual_anomaly, location=slot.weapon.mainhand}] at @s run say Spiritual Anomaly Reported
execute as @a[scores={v.right=1,t.right=0},hasitem={item=loadisk:spiritual_anomaly, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/spiritual_anomaly

#Controls
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:x, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:x, location=slot.weapon.mainhand}] at @s run scoreboard players set @s v.ui 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:x, location=slot.weapon.mainhand}] at @s run scoreboard players set @s t.left 1

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:check, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:check, location=slot.weapon.mainhand}] at @s run event entity @a[tag=active] loadisk:overlay_exit
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:check, location=slot.weapon.mainhand}] at @s run scoreboard players set @s t.left 1


execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] run playsound loadisk.switch @a
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] run scoreboard players add @a[scores={camera=..6}] camera 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] run scoreboard players set @a[scores={camera=7..}] camera 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:next, location=slot.weapon.mainhand}] at @s run scoreboard players set @s t.left 1

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] run playsound loadisk.switch @a
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] run scoreboard players remove @a[scores={camera=0..}] camera 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] run scoreboard players set @a[scores={camera=..0}] camera 6
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:back, location=slot.weapon.mainhand}] at @s run scoreboard players set @s t.left 1

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:exit, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:exit, location=slot.weapon.mainhand}] at @s run function cali/impulse/system/end_confirm
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:exit, location=slot.weapon.mainhand}] at @s run scoreboard players set @s t.left 1

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run say §lSelect Report
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run scoreboard players set @s v.ui 2
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:report, location=slot.weapon.mainhand}] at @s run scoreboard players set @s t.left 1

##Report Items

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:object_manipulated, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/object_manipulated

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:object_extra, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/object_extra

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run say Ghost Reported
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:ghost, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/ghost

execute as @a[scores={v.left=0,t.left=0},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] at @s run scoreboard players reset @s v.pulse
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:intruder, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/intruder

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run scoreboard players add @s[scores={v.pulse=0..2}] v.pulse 1
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run say Lighting Anomaly Reported
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:lighting_anomaly, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/ligthing_anomaly

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:camera_error, location=slot.weapon.mainhand}] at @s run say Camera Error Reported
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:camera_error, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/camera_error

execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:spiritual_anomaly, location=slot.weapon.mainhand}] at @s run say Spiritual Anomaly Reported
execute as @a[scores={v.left=1,t.left=0},hasitem={item=loadisk:spiritual_anomaly, location=slot.weapon.mainhand}] at @s run function cali/impulse/report/report_items/spiritual_anomaly